
Figure - Bug #117890
【IOVDEV-27226】【内部】【VC1】【0078】【台架/EE环境】【HRYTTESTVINMGM328】【副屏遥控器】
点击静音按钮，副屏音量未变成静音状态
2023-05-11 19:27 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-11

Priority: High Due date:

Assignee: CDTS-TEST 周婷 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 中控版本：03.02.0078.C101��副屏版本：95 usedebug版本��

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、车机已上电，网络正常

2、车辆处于测试环境

【操作手顺】

1、进入副屏遥控器应用，音量条处于非静音状态

2、点击音量按钮

【实际结果】

2、副屏音量条弹出，但是未变成静音icon

主屏的页面也为弹出OSD 音量条

【期望结果】

2、变成静音按钮后，保持静音状态，副屏音量条变成静音模式

【复归方法】无

【复现率】偶现

测试时间：20230510 主屏： 18：22

副屏：3：53 左右

副屏版本：95 usedebug版本

副屏和主屏的日志请见附件，测试视频请见附件

【出现后是必现，只有重启副屏该现象才会消失】

History

#1 - 2023-05-12 10:54 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to Multimedia组-RD3_TSCD 梁卿山

#2 - 2023-05-12 10:55 - CD TPM-王祥林

- Category changed from CD-FW to AUDIO-FW

#3 - 2023-05-12 16:06 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨
HI 诗雨

根据当前的日志对比，在副屏调整音量后，中控未回复设置音量成功，导致了音量无法设置为静音。

正常日志：

05-12 15:59:55.775  1113 18232 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

05-12 15:59:55.776  1113 18232 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

05-12 15:59:55.776  1113 18232 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}.

05-12 15:59:55.789  2153 23881 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1683878395776530299',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1683878395776530299,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

05-12 15:59:55.842  2153 23882 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1683878395776530299',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":1683878395776530299,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

05-12 15:59:55.842  2153 23882 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"0"}} ★★★

05-12 15:59:55.843  1113 20922 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

05-12 15:59:55.843  1113 20922 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 0 isRequested=true

05-12 15:59:55.843  1113 18232 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 0 ★★★

异常日志：

3-53 副屏.log:31950:11-11 03:53:05.412 D/AS.AudioService( 1135): idcm_volume:setIDCMicroVolume(stream=3, index=0,

calling=com.thundercomm.remotecontrolservice)

3-53 副屏.log:31951:11-11 03:53:05.413 D/AudioIDCMicroNegotiator( 1135): idcm_volume:setIDCMicroVolume

3-53 副屏.log:31952:11-11 03:53:05.413 D/AudioIDCMicroNegotiator( 1135): idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}

3-53 副屏.log:31953:11-11 03:53:05.413 I/MicroServiceManager( 1135): requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}.

3-53 副屏.log:31954:11-11 03:53:05.427 D/MicroService( 2022): Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1668109985414484852',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1668109985414484852,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

3-53 副屏.log:31956:11-11 03:53:06.014 D/AudioIDCMicroNegotiator( 1135): idcm_volume:setIDCMicroVolume return null ★★★

下一步

该问题需要中控分析为什么收到设置音量的消息，没有返回设置成功的消息。

#4 - 2023-05-17 15:18 - CDTS-TEST 周婷

- Assignee changed from CDTS_Test 吴诗雨 to Multimedia组-RD3_TSCD 梁卿山

393415 05-10 18:22:38.152 I/HCOMHAL ( 596):

{"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1668110021378319473,"methodName":"setVolume","parameters":{"fu

nctionInfo":

{"IDCM_VolumeValue_Media":"28"}

}}

393416 05-10 18:22:38.152 I/HCOMHAL ( 596): ---------------------------------

393417 05-10 18:22:38.152 I/HCOMHAL ( 596): HandShake is not completed, ignore msg!
395804 05-10 18:22:39.809 I/HCOMHAL ( 596): ---------------------------------

395805 05-10 18:22:39.809 I/HCOMHAL ( 596):

{"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1668110023039399941,"methodName":"setVolume","parameters":{"fu

nctionInfo":

{"IDCM_VolumeValue_Media":"30"}

}}

395806 05-10 18:22:39.809 I/HCOMHAL ( 596): ---------------------------------

395807 05-10 18:22:39.809 I/HCOMHAL ( 596): HandShake is not completed, ignore msg!

Audio这边没有收到消息，看comhal的log好像是主副屏通信握手没有完成，帮忙分析一下

固定链接

YangWang7

Yang WANG 汪洋 添加了评论 - 2023/05/15 13:57

从EE云端日志分析，测试时间启动时间点是05-10 14:29左右。

从开机日志《Log_124_001_20230510143000_startup.log》分析，

启动后按正常流程握手成功：

01-01 08:00:16.912   596   633 I HCOMHAL : handShake check success!

6秒后因为没有收到副屏的心跳消息，判断心跳异常，判定握手失败，需要重新握手。

按照设计要求，之后所有消息都不进行处理。

11-11 00:00:27.665   596   632 W HCOMHAL : [heartbeatChecker]

11-11 00:00:27.666   596   632 D HCOMHAL : [onHeartbeatResult] Enter: isOK=0

11-11 00:00:27.666   596   632 D HCOMHAL : [onHeartbeatResult] End

需要副屏判断该特殊userdebug版本是否集成了程天颖的微服务心跳逻辑。

如果已经集成，为何这次启动握手成功后，6秒内没有收到心跳消息。

#5 - 2023-05-17 15:19 - CDTS-TEST 周婷

- Priority changed from Normal to High

- Severity changed from Normal to Major

#6 - 2023-05-17 15:26 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW-程天颖

HI 天颖

心跳问题，麻烦分析一下，谢谢！

#7 - 2023-05-17 18:56 - CD FW-程天颖

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-程天颖 to CDTS-TEST 周婷

- Need_Info changed from -- to TEST

95版本的微服务使用的timer定时执行心跳任务，timer使用的系统时间定时执行任务，时间同步更改了系统时间可能会导致心跳断开连接，副屏于5月8日

对该问题进行了处理，使用handler执行心跳任务，心跳问题已解决。此次修改将集成于00100版本，后续请使用00100版本进行测试
#8 - 2023-05-18 17:04 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

#9 - 2023-05-18 17:04 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#10 - 2023-05-18 17:04 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

3-53 副屏.log 3.62 MB 2023-05-11 CDTS_Test 吴诗雨

18-22主屏.7z 2.61 MB 2023-05-11 CDTS_Test 吴诗雨

副屏遥控器.mp4 6.24 MB 2023-05-11 CDTS_Test 吴诗雨
